package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ZtAnalyseReportFacdeFactory
{
    private ZtAnalyseReportFacdeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("275B63FA") ,com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("275B63FA") ,com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("275B63FA"));
    }
    public static com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtAnalyseReportFacde)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("275B63FA"));
    }
}